Domains

Update domain

PATCH
/v3/aftermarket/customers/{customerId}/domains/{domain}

Updates the domain's settings with the values provided. Unspecified settings will remain unchanged.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

domain*string

An aname is a DNS domain name using only LDH characters (lower-case ASCII letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case of an internationalized domain name (IDN).

Examples:

  • example.org
  • xn--exmple-cua.de

Invalid Examples:

  • PartialCapExample.com
    • mixed case, should be lowercased
  • exämple.de
    • this is an IDN and should be IDNA-encoded
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$
Formataname
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Query Parameters

resource?boolean

Indicate that the response should include the updated domain data

Defaultfalse

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

Domains

application/json
  1. body
buynowPrice?integer

Listing price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range0 <= value <= 49999999000000
Default0
floorPrice?integer

Floor price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range0 <= value <= 49999999000000
Default0
minbidPrice?integer

Minimum bid price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range20000000 <= value <= 49999999000000
Default20000000
maxLeasePeriod?integer

The maximum number of payments desired. The monthly payment is calculated from this value and the buynowPrice.

Range2 <= value <= 60
Default2
leasingEnabled?boolean

This flag specifies if the domain is enabled for purchases with multiple payments.

Defaultfalse
displayName?string

Display name of the domain, which is used to customized the domain name on the Lander. Can be both IDN and Mixed case. Characters must match the aname domain value when validated. If the displayName is not provided, the name will be used as the display name. Examples:

  • PartialCapExample.com (mixed case)
  • exämple.de (IDN example)
Default""
intakeStyle?string

Intake style option for landers. The possible values are representative of values provided in Afternic Website.

Default"BUYNOW"
Value in"BUYNOW""PRICE_FORM""CUSTOM_LANDER"
showLanderMakeOfferOption?boolean

Specifies if the domain has Make Offer as an enabled sales method on the custom lander.

Defaultfalse
showLanderLeaseToOwnOption?boolean

Specifies if the domain has Lease-To-Own as an enabled sales method on the custom lander.

Defaultfalse
showLanderBuynowOption?boolean

Specifies if the domain has Buynow as an enabled sales method on the custom lander.

Defaulttrue
landingPage?string

Landing page option. The possible values are representative of values provided in Afternic Website.

Default"PARKING_TYPE"
Value in"PARKING_TYPE""SALES_TYPE"
featured?boolean

This value indicates if the domain is to be listed as a featured domain

Defaultfalse
hidden?boolean

This value specifies if the domain should be hidden from being listed.

Defaultfalse

Response Body

Returns the updated resource

application/json
  1. response
buynowPrice?integer

Listing price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range0 <= value <= 49999999000000
Default0
floorPrice?integer

Floor price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range0 <= value <= 49999999000000
Default0
minbidPrice?integer

Minimum bid price in microunit USD. Whole dollars only. Note 1 USD = 1000000

Formatint64
Range20000000 <= value <= 49999999000000
Default20000000
maxLeasePeriod?integer

The maximum number of payments desired. The monthly payment is calculated from this value and the buynowPrice.

Range2 <= value <= 60
Default2
leasingEnabled?boolean

This flag specifies if the domain is enabled for purchases with multiple payments.

Defaultfalse
displayName?string

Display name of the domain, which is used to customized the domain name on the Lander. Can be both IDN and Mixed case. Characters must match the aname domain value when validated. If the displayName is not provided, the name will be used as the display name. Examples:

  • PartialCapExample.com (mixed case)
  • exämple.de (IDN example)
Default""
intakeStyle?string

Intake style option for landers. The possible values are representative of values provided in Afternic Website.

Default"BUYNOW"
Value in"BUYNOW""PRICE_FORM""CUSTOM_LANDER"
showLanderMakeOfferOption?boolean

Specifies if the domain has Make Offer as an enabled sales method on the custom lander.

Defaultfalse
showLanderLeaseToOwnOption?boolean

Specifies if the domain has Lease-To-Own as an enabled sales method on the custom lander.

Defaultfalse
showLanderBuynowOption?boolean

Specifies if the domain has Buynow as an enabled sales method on the custom lander.

Defaulttrue
landingPage?string

Landing page option. The possible values are representative of values provided in Afternic Website.

Default"PARKING_TYPE"
Value in"PARKING_TYPE""SALES_TYPE"
featured?boolean

This value indicates if the domain is to be listed as a featured domain

Defaultfalse
hidden?boolean

This value specifies if the domain should be hidden from being listed.

Defaultfalse
updatedAt*string

The UTC time the listing was last updated at.

Formatdate-time
createdAt*string

The UTC time the listing was created at.

Formatdate-time
listStatus*string

Listing status for the given domain

Value in"PENDING""FAILED_COMPLIANCE""ACTIVE""HIDDEN""ON_HOLD""SOLD""INACTIVE"
tld?string

The calculated TLD (top level domain) value for the domain.

name*string

An aname is a DNS domain name using only LDH characters (lower-case ASCII letters, digits & hyphens) in its labels, i.e. is IDNA2008-encoded in the case of an internationalized domain name (IDN).

Examples:

  • example.org
  • xn--exmple-cua.de

Invalid Examples:

  • PartialCapExample.com
    • mixed case, should be lowercased
  • exämple.de
    • this is an IDN and should be IDNA-encoded
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z0-9][a-z0-9-]{0,61}[a-z0-9]$
Formataname
Example Request
curl -X PATCH 'https://api.afternic.com/v3/aftermarket/customers/my/domains/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "name": "example.com",  "featured": true,  "hidden": false,  "buynowPrice": 500000000,  "floorPrice": 500000000,  "minbidPrice": 500000000,  "maxLeasePeriod": 36,  "leasingEnabled": false,  "displayName": "exämple.de",  "intakeStyle": "PRICE_FORM",  "showLanderMakeOfferOption": false,  "showLanderLeaseToOwnOption": false,  "showLanderBuynowOption": false,  "landingPage": "SALES_TYPE",  "updatedAt": "2006-01-02T15:04:05Z",  "createdAt": "2006-01-02T15:04:05Z",  "listStatus": "ACTIVE",  "tld": "co.uk"}